{
  imports = [
    # Base configs
    ./base.nix

    # Import users and groups
    ./users/jimbo.nix
    ./users/nextcloud.nix
    ./users/nginx.nix
    ./users/liquidsoap.nix
    ./users/groups.nix

    # Modules
    ./modules/security.nix
    ./modules/legacy.nix

    # Hardware
    ./hardware/machines/server.nix
    ./hardware/systemdboot.nix

    # Services
    ./services/openssh.nix
    ./server/acme.nix
    ./server/ddclient.nix
    ./server/icecast.nix
    ./server/firewall.nix
    ./server/gitea.nix
    ./server/lemmy.nix
    ./server/mailserver.nix
    ./server/mariadb.nix
    ./server/mastodon.nix
    ./server/nextcloud.nix
    ./server/nfs.nix
    ./server/nginx.nix
    ./server/owncast.nix
    ./server/minecraft
    ./server/vaultwarden.nix
    ./server/transmission.nix
    ./server/wireguard.nix
    ./server/misc.nix

    # Matrix
    ./server/synapse.nix
    ./server/element.nix
    ./server/matrix-discord.nix
  ];

  # Set custom openssh port
  services.openssh.ports = [ 2222 ];

  # Set hostname
  networking.hostName = "JimServer";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
